@rem ***************************************************************************
@rem Licensed Materials - Property of IBM
@rem (c) Copyright IBM Corporation 2001, 2013. All Rights Reserved.
@rem
@rem Note to U.S. Government Users Restricted Rights:  
@rem Use, duplication or disclosure restricted by GSA ADP Schedule 
@rem Contract with IBM Corp. 
@rem ***************************************************************************
set _RUNJAVA=..\jre\bin\java.exe
if exist %_RUNJAVA% goto okJava
set _RUNJAVA=java.exe

:okJava
@rem For low level debugging of SSL communications, include   -Djavax.net.debug=all   in the following command

@rem ******** Logging ********
@rem The following options are used to configure logging in the HTTP(S)/TCP Proxy.
@rem
@rem Option: -Djava.util.logging.config.file
@rem	This points to a configuration file that will be used to configure java's default logging framework.
@rem	This will be used in the case that the proxy's diagnostic logging service is using the default configuration
@rem	or has been configured to use a JULAppender (see below).
@rem
@rem	Proxy default: logging.properties
@rem
@rem Option: -Dgreenhat.logappender.<appender_type>.<appender_name>=<key1>:<value1>,<key2>:<value2>
@rem 	The greenhat.logappender option is used to configure diagnostic logging. This can communicate with a
@rem	running instance of the Rational Tester Control Panel so as to record log events to a central server.
@rem	The log appender type, name and key values are used to configure how the diagnostic logging operates
@rem 	and are described below. Some key values are optional.
@rem
@rem Diagnostic Logging:
@rem	Diagnostic logging is configured by specifying log appenders. A log appender will decide where to direct
@rem	log events to. There are three log appenders:
@rem		1. java.util.logging appender (JUL appender) - This appender will utilise the default java logging framework
@rem				for handling log events. This is configured via the properties file specified by the 
@rem				-Djava.util.logging.config.file option (see above).
@rem				
@rem				Configuration: -Dgreenhat.logappender.jul.<name>=(optional)level:<level>
@rem						<name> - Defines a symbolic name for the logger
@rem						level:<level> - Specifies that only log events equal to or higher than <level> should be
@rem										be passed on by the appender. If changes are made to the logging level for
@rem										the appender, the logging level set in the logging properties file pointed
@rem										to by the java.util.logging.config.file option may need to be changed to ensure
@rem										that the desired log events are logged. 
@rem										The diagnostic logging service uses the following log levels:
@rem											ERROR
@rem											WARNING
@rem											INFO
@rem											DEBUG
@rem											TRACE		
@rem										Default value: DEBUG				
@rem					e.g. -Dgreenhat.logappender.jul.ONE=level:WARNING
@rem
@rem		2. Network appender (net appender) - This appender will communicate with a running instance of the Rational
@rem				Tester Control Panel and redirect log events there. Entries logged this way can be viewed on the
@rem				Diagnostic Logging tab of the Server Administration Panel in RTCP.
@rem
@rem				Configuration: -Dgreenhat.logappender.net.<name>=(optional)url:<host>:<port>/RTCP,(optional)level:<level>
@rem						<name> - Defines a symbolic name for the logger
@rem						url:<host>:<port>/RTCP - Specifies the host-name and port of the Rational Tester Control Panel server
@rem												 that the diagnostic logging service should send log events to.
@rem												 In order to specify the server that the proxy is configured to register with,
@rem												 the value can be set to 'auto'.
@rem												 Default Value: auto
@rem						level:<level> - Specifies that only log events equal to or higher than <level> should be
@rem										be passed on by the appender.
@rem										Default value: WARNING
@rem					e.g. -Dgreenhat.logappender.net.MYAPPENDER=url:http://localhost:7819/RTCP,level:debug
@rem
@rem		3. Console appender - This appender will handle log events within the application and display them on the application's
@rem				output console.
@rem				
@rem				Configuration: -Dgreenhat.logappender.console.<name>=(optional)layout:<layoutType>,(optional)level:<level>
@rem						<name> - Defines a symbolic name for the logger
@rem						layout:<layoutType> - Controls how the log event information should be formatted and laid out on the
@rem												console. Valid values are:
@rem													detailed, standard and compact
@rem												Default value: detailed
@rem						level:<level> - Specifies that only log events equal to or higher than <level> should be
@rem										be passed on by the appender.
@rem										Default value: INFO
@rem					e.g. -Dgreenhat.logappender.console.DEBUG=layout:detailed,level:debug
@rem ******** /Logging ********

@rem Start a proxy using default java.util.logging
%_RUNJAVA% -Djava.util.logging.config.file=logging.properties -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Address=false -cp ghproxy.jar com.greenhat.proxy.Main

@rem Start a proxy using diagnostic logging with a net appender.
@rem %_RUNJAVA% -Djava.util.logging.config.file=logging.properties -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Address=false -Dgreenhat.logappender.net.MYAPPENDER=url:http://localhost:7819/RTCP,level:debug -cp ghproxy.jar com.greenhat.proxy.Main